package com.qmth.qrzk.repository.utils.docx.html;

import java.util.ArrayList;
import java.util.List;

import com.qmth.qrzk.repository.utils.General;

public class Text extends HtmlElement{
	
	protected List<HtmlElement> styles = new ArrayList<HtmlElement>();
	protected StringBuffer text;
	
	public Text(StringBuffer text,List<HtmlElement> styles) {
		this.text = text;
		this.styles = styles;
		this.priority = -1;
	}
	
	public List<HtmlElement> getStyles() {
		return styles;
	}

	@Override
	public String head() {
		return General.HTMLEncode(text.toString(),true);
	}

	@Override
	public String tail() {
		return "";
	}

	@Override
	public String getStyleStr() {
		return "";
	}
}
